Ticket #44514

Qt6: "use of deleted function" in fc_client::update_load_page()

Eröffnet am: 2022-05-05 15:12 Letztes Update: 2022-05-07 21:41

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

Building S3_1 on OpenEmbedded

--

../../../git/client/gui-qt/pages.cpp: In member function 'void fc_client::update_load_page()':
| ../../../git/client/gui-qt/pages.cpp:1409:18: error: use of deleted function 'QVariant::QVariant(T) [with T = char*; typename std::enable_if<disjunction_v<std::is_pointer<_Tp>, std::is_member_pointer<_Tp> >, bool>::type <anonymous> = false]'
| 1409 | item->setData(Qt::UserRole, pfile->fullname);
| In file included from /work/openembedded/x86/tmp-glibc/work/core2-32-oe-linux/freeciv/3.0.94.5-alpha2+-r0/recipe-sysroot/usr/include/QtGui/qaction.h:49,
| from /work/openembedded/x86/tmp-glibc/work/core2-32-oe-linux/freeciv/3.0.94.5-alpha2+-r0/recipe-sysroot/usr/include/QtGui/QAction:1,
| from ../../../git/client/gui-qt/pages.cpp:19:
| /work/openembedded/x86/tmp-glibc/work/core2-32-oe-linux/freeciv/3.0.94.5-alpha2+-r0/recipe-sysroot/usr/include/QtCore/qvariant.h:235:5: note: declared here
| 235 | QVariant(T) = delete;

Ticket-Verlauf (3/5 Historien)

2022-05-05 15:12 Aktualisiert von: cazfi
  • New Ticket "Qt6: "use of deleted function" in fc_client::update_load_page()" created
2022-05-05 16:12 Aktualisiert von: cazfi
Kommentar

Reply To cazfi

Building S3_1 on OpenEmbedded

-> Qt6 6.4 development version
2022-05-06 03:21 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to 3.1.0 (closed)
2022-05-07 21:41 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Dateianhangliste

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden